Retireve the video gallery category details

From docs
Jump to: navigation, search

Mobile_API »Get Video Gallery Categories

Base URL

https://apimobile.callproof.com

Endpoint

/api/video-category

Purpose

Retrieves the full list of video gallery / tutorial video categories.

HTTP Method

GET

Headers

Header Required Description
Authorization Yes Bearer access token

Security

  • Yes – Requires Bearer Token authentication.

Parameters

Path Parameters

None.

Query Parameters

None.

Request Body

None.

cURL Example for Android

 curl --location 'https://apimobile.callproof.com/api/video-category' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' 

cURL Example for iOS

 curl --location 'https://apimobile.callproof.com/api/video-category' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' 

Successful Response (200)

Returns all video categories. The category list is returned in the message field.

Field Type Description
clientStatusCode integer Status indicator for the client (for example, 200)
user_id integer Identifier of the authenticated user
company_id integer Identifier of the authenticated user’s company
message array List of video categories (see below)
uri string Requested resource URI

message[]

Field Type Description
id integer Unique identifier of the category
name string Category display name
key string Category key
created string/datetime Record created timestamp
updated string/datetime Record updated timestamp

Error Responses

Status Code Meaning
400 Bad Request – video categories could not be retrieved
401 Unauthorized – missing, invalid, or expired Bearer token
  • 400 – An error occurred while retrieving video categories (for example, "Error while retriving the video category").
  • 401 – Authentication failed or the access token is missing/expired.